corda / net.corda.node.services.statemachine / ReceivedSessionMessage

# ReceivedSessionMessage

`data class ReceivedSessionMessage<out M : ExistingSessionMessage>`

### Constructors

<init> | `ReceivedSessionMessage(sender: Party, message: M)`

### Properties

message | `val message: M`
sender | `val sender: Party`

### Extension Functions

checkPayloadIs | `fun <T> ReceivedSessionMessage<SessionData>.checkPayloadIs(type: Class<T>): UntrustworthyData<T>`